import 'package:h3_flutter/src/geojson2h3.dart';
import 'package:h3_flutter/src/h3.dart';

import 'internal.dart';
import 'src/generated/generated_bindings.dart';

export 'src/h3.dart';
export 'src/models/geo_coord.dart';

/// H3C singletone. Provides direct access to C-written H3 library with bindings automatically generated by FFIGen tool.
/// Instead, it's always better to use [h3] when possible.
final h3c = H3C(h3cLib);

/// H3 singletone. Use it to call functions of the H3 Core Library, hexagon-based geographic grid system.
final h3 = H3(h3c);

/// Geojson2H3 singletone. It contains a set of utilities for conversion between GeoJSON polygons and H3 hexagon indexes.
final geojson2H3 = Geojson2H3(h3);
